#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libical
Version		:	3.0.14
Release		:	16.2.0.rel%{?dist}
Summary		:	Reference implementation of the iCalendar data type and serialization

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/libical/libical

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	libdb-devel
Buildrequires	:	cmake
Buildrequires	:	glib
Buildrequires	:	gobject-introspection
Buildrequires	:	vala
#-----------------------------------------------------------------------------
%description
Reference implementation of the iCalendar data type and serialization
format used in dozens of calendaring and scheduling products.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#First make some fixes for the latest versions of icu and Python
sed -i								\
  -e '/define LEAP_MONTH/a #define FALSE 0'			\
  src/libical/icalrecur.c
sed -i								\
  -e 's/array/arraytest/'					\
  src/test/libical-glib/CMakeLists.txt
%{__mv}								\
	src/test/libical-glib/array.py				\
	src/test/libical-glib/arraytest.py

%{__mkdir} build
pushd	build
cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_INCLUDE_INCLUDEDIR=%{_includedir}		\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-DSYSCONF_INSTALL_DIR=%{_sysconfdir}			\
	-DCMAKE_BUILD_TYPE=Release 				\
	-DSHARED_ONLY=yes					\
	-DGOBJECT_INTROSPECTION=yes				\
	-DICAL_GLIB=yes						\
	-DICAL_GLIB_VAPI=yes					\
	-DICAL_BUILD_DOCS=false					\
	..

#define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%define _smp_mflags -j1
%{__make}							\
	%{_smp_mflags}						\

popd
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README.md
%license LICENSE
%{_includedir}/%{name}-glib/*.h
%{_includedir}/%{name}/*.h
%{_libdir}/cmake/LibIcal/*.cmake
%{_libexecdir}/%{name}/ical-glib-src-generator
%{_libdir}/%{name}*.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/*.vapi

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
